Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMSVGColor.AbstractComponent

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor.AbstractComponent

All Implemented Interfaces:
  CSSPrimitiveValue, CSSValue

Direct Known Subclasses:
  CSSOMSVGColor.FloatComponent

Enclosing class:
  CSSOMSVGColor

    protected abstract class CSSOMSVGColor.AbstractComponent

extends Object
implements CSSPrimitiveValue

To store a component.

Field Summary

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`protected` | `CSSOMSVGColor.AbstractComponent()`

Method Summary
`Counter` | `getCounterValue()` DOM: Implements `CSSPrimitiveValue.getCounterValue()`.
`String` | `getCssText()` DOM: Implements `CSSValue.getCssText()`.
`short` | `getCssValueType()` DOM: Implements `CSSValue.getCssValueType()`.
`float` | `getFloatValue(short unitType)` DOM: Implements `CSSPrimitiveValue.getFloatValue(short)`.
`int` | `getLength()` DOM: Implements `CSSValueList.getLength()`.
`short` | `getPrimitiveType()` DOM: Implements `CSSPrimitiveValue.getPrimitiveType()`.
`Rect` | `getRectValue()` DOM: Implements `CSSPrimitiveValue.getRectValue()`.
`RGBColor` | `getRGBColorValue()` DOM: Implements `CSSPrimitiveValue.getRGBColorValue()`.
`String` | `getStringValue()` DOM: Implements `CSSPrimitiveValue.getStringValue()`.
`protected abstract Value` | `getValue()` The returns the actual value of this component.
`CSSValue` | `item(int index)` DOM: Implements `CSSValueList.item(int)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`setFloatValue, setStringValue`

Methods inherited from interface org.w3c.dom.css.CSSValue
`setCssText`

Constructor Detail

### CSSOMSVGColor.AbstractComponent

    protected CSSOMSVGColor.AbstractComponent()

Method Detail

### getValue

    protected abstract Value getValue()

  The returns the actual value of this component.

### getCssText

    public String getCssText()

  DOM: Implements `CSSValue.getCssText()`.

  Specified by:
    `getCssText` in interface `CSSValue`

### getCssValueType

    public short getCssValueType()

  DOM: Implements `CSSValue.getCssValueType()`.

  Specified by:
    `getCssValueType` in interface `CSSValue`

### getPrimitiveType

    public short getPrimitiveType()

  DOM: Implements `CSSPrimitiveValue.getPrimitiveType()`.

  Specified by:
    `getPrimitiveType` in interface `CSSPrimitiveValue`

### getFloatValue

    public float getFloatValue(short unitType)
                        throws DOMException

  DOM: Implements `CSSPrimitiveValue.getFloatValue(short)`.

  Specified by:
    `getFloatValue` in interface `CSSPrimitiveValue`
  Throws:
    `DOMException`

### getStringValue

    public String getStringValue()
                          throws DOMException

  DOM: Implements `CSSPrimitiveValue.getStringValue()`.

  Specified by:
    `getStringValue` in interface `CSSPrimitiveValue`
  Throws:
    `DOMException`

### getCounterValue

    public Counter getCounterValue()
                            throws DOMException

  DOM: Implements `CSSPrimitiveValue.getCounterValue()`.

  Specified by:
    `getCounterValue` in interface `CSSPrimitiveValue`
  Throws:
    `DOMException`

### getRectValue

    public Rect getRectValue()
                      throws DOMException

  DOM: Implements `CSSPrimitiveValue.getRectValue()`.

  Specified by:
    `getRectValue` in interface `CSSPrimitiveValue`
  Throws:
    `DOMException`

### getRGBColorValue

    public RGBColor getRGBColorValue()
                              throws DOMException

  DOM: Implements `CSSPrimitiveValue.getRGBColorValue()`.

  Specified by:
    `getRGBColorValue` in interface `CSSPrimitiveValue`
  Throws:
    `DOMException`

### getLength

    public int getLength()

  DOM: Implements `CSSValueList.getLength()`.

### item

    public CSSValue item(int index)

  DOM: Implements `CSSValueList.item(int)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.